" **************** "
" OpenGL callbacks "
" **************** "


!OpenGL methodsFor: 'callbacks definition'!
callbacks
	^callbacks !

addCallback: anEvent to: anObject selector: aSelector
	callbacks isNil ifTrue: [callbacks := Array new: OpenGL LastEventIndex withAll: nil].
	callbacks at: anEvent put: (Array with: anObject with: aSelector).
	self connect: anEvent.
	^ self
	!
	
getCallback: anEvent
	^callbacks at: anEvent! 
!

!OpenGL class methodsFor: 'Events definition'!

" See glutCreateMenu for informations"
CreateMenuEvent
	^ 1!
" See glutTimerFunc for informations"
TimerFuncEvent
	^ 2!
" See glutIdleFunc for informations"
IdleFuncEvent
	^ 3!
" See glutKeyboardFunc for informations"
KeyboardFuncEvent
	^ 4!
" See glutSpecialFunc for informations"
SpecialFuncEvent
	^ 5!
" See glutReshapeFunc for informations"
ReshapeFuncEvent
	^ 6!
" See glutVisibilityFunc for informations"
VisibilityFuncEvent
	^ 7!
" See glutDisplayFunc for informations"
DisplayFuncEvent
	^ 8!
" See glutMouseFunc for informations"
MouseFuncEvent
	^ 9!
" See glutMotionFunc for informations"
MotionFuncEvent
	^ 10!
" See glutPassiveMotionFunc for informations"
PassiveMotionFuncEvent
	^ 11!
" See glutEntryFunc for informations"
EntryFuncEvent
	^ 12!
" See glutKeyboardUpFunc for informations"
KeyboardUpFuncEvent
	^ 13!
" See glutSpecialUpFunc for informations"
SpecialUpFuncEvent
	^ 14!
" See glutJoystickFunc for informations"
JoystickFuncEvent
	^ 15!
" See glutMenuStateFunc for informations"
MenuStateFuncEvent
	^ 16!
" See glutMenuStatusFunc for informations"
MenuStatusFuncEvent
	^ 17!
" See glutOverlayDisplayFunc for informations"
OverlayDisplayFuncEvent
	^ 18!
" See glutWindowStatusFunc for informations"
WindowStatusFuncEvent
	^ 19!
" See glutSpaceballMotionFunc for informations"
SpaceballMotionFuncEvent
	^ 20!
" See glutSpaceballRotateFunc for informations"
SpaceballRotateFuncEvent
	^ 21!
" See glutSpaceballButtonFunc for informations"
SpaceballButtonFuncEvent
	^ 22!
" See glutButtonBoxFunc for informations"
ButtonBoxFuncEvent
	^ 23!
" See glutDialsFunc for informations"
DialsFuncEvent
	^ 24!
" See glutTabletMotionFunc for informations"
TabletMotionFuncEvent
	^ 25!
" See glutTabletButtonFunc for informations"
TabletButtonFuncEvent
	^ 26!
" See glutMouseWheelFunc for informations"
MouseWheelFuncEvent
	^ 27!
" See glutCloseFunc for informations"
CloseFuncEvent
	^ 28!
" See glutWMCloseFunc for informations"
WMCloseFuncEvent
	^ 29!
" See glutMenuDestroyFunc for informations"
MenuDestroyFuncEvent
	^ 30!

LastEventIndex
	^30! 
!
