
" ********** "
" GLU funcs "
" ********** "


!OpenGL methodsFor: 'GLU'!
gluLookAt: anEye center: aCenter up: aDirection
	self gluLookAt: anEye x y: anEye y z: anEye z 
		 center: aCenter x y: aCenter y z: aCenter z 
		 up: aDirection x y: aDirection y z: aDirection z !

gluLookAt: anEyeX y: anEyeY z: anEyeZ 
		 center: aCenterX y: aCenterY z: aCenterZ 
		 up: aDirectionX y: aDirectionY z: aDirectionZ 
	<cCall: 'gluLookAt' returning: #void args: #( #double #double #double #double #double #double #double #double #double )> !

gluOrtho2D: left right: right bottom: bottom top: top
	<cCall: 'gluOrtho2D' returning: #void args: #( #double #double #double #double)> !

gluPerspective: fovy aspect: aspect near: zNear far: zFar
"	<cCall: 'gluPerspective' returning: #void args: #( #float #float #float #float )> !"
 	<cCall: 'gluPerspective' returning: #void args: #( #double #double #double #double)> ! 

gluBeginSurface: aNurb
	^ aNurb gluBeginSurface!

gluEndSurface: aNurb
	^ aNurb gluEndSurface!

!

