# /usr/bin/perl $0 $* # -*- cperl -*-

my $foo = 0 ;
print "!OpenGL class methodsFor: 'constants' !\n" ;
foreach $aFile ( @ARGV ) {
  open(FD, $aFile) or (print "Cannot open $File: $!\n" and next) ;
  while(<FD>) {
	if(/^#include/) {
	  # Add file to list of file to be parsed
	  # push (@ARGV, "/usr/include/" . $1) if /<([^>]+)>/ ;
	  # push (@ARGV, $1) if /"([^"]+)>/ ;
	}
	next unless /^#define\s+GL/ ;
	next unless /^#define\s+(GL[U]?[T]?_[A-Z0-9_]+)\s+(.*)$/ ;
	my $aName = $1 ;
	my $value = $2 ;
	print smalltalkise($aName) . "\n\t^" ;
	print(atoi($value)) ;
	print "!\n" ;
  }
	print "!\n" ;
}
sub atoi {
  my $value = shift ;
  my $t;
  my $base = 10 ;
  $base = 16 and $value =~ s/0x// if $value =~ /0x/ ;
  $value =~ tr/ABCDEF/abcdef/ ;
  $t = "16r" . $value ;
#   foreach my $d (split(//, $value)) {
# 	$d =~ tr/ABCDEF/abcdef/ ;
# 	$t = $t * $base + $d if $d <= 9 ;
# 	$t = $t * $base + 10 if $d eq "a" ;
# 	$t = $t * $base + 11 if $d eq "b" ;
# 	$t = $t * $base + 12 if $d eq "c" ;
# 	$t = $t * $base + 13 if $d eq "d" ;
# 	$t = $t * $base + 14 if $d eq "e" ;
# 	$t = $t * $base + 15 if $d eq "f" ;
#   }
  return $t ;
}

sub smalltalkise {
  my ($oldName) = @_ ;
  my $newName = "" ;
  my @parts = split('_', $oldName) ;
  foreach my $aPart ( @parts ) {
	$newName .= uc(substr($aPart, 0, 1)) . lc(substr($aPart, 1, length($aPart))) ;
  }
  return $newName ;
}
