print <<EOF ;
#include "config.h"
#include "gstpub.h"

#include <stdio.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
EOF


my @funcs ;
while(<>) {
	next unless /^FGAPI ([a-zA-Z]+) FGAPIENTRY (glut[A-Za-z0-9]+) (\([^\)]+\))/ ;
	print "$1 gst_opengl_$2 $3\n{\n  " ;
	print "return " unless $1 eq "void" ;
	print "$2 (" ;
	push @funcs, $2 ;
	my @args = split(',', $3) ;
	foreach my $anArg ( @args ) {
		my @parts = split(' ', $anArg) ;
		my $name = $parts[$#parts] ;
		$name =~ s/\*//g ;
		$name =~ s/\)//g ;
		print $name ;
		print ", " unless $anArg eq $args[$#args] ;
	}
	print ") ;\n}\n" ;
	}

print "void gst_initModule_glut(VMProxy* proxy) {\n" ;
foreach $aFunc ( @funcs ) {
  print "  proxy->defineCFunc (\"$aFunc\", gst_opengl_$aFunc) ;\n" ;
}
print "}\n" ;
